#     LanHEP output produced at Wed Jun  1 08:32:12 2022
#     from the file '/home/alumno/Software/LanHEP/lanhep400/mdl/z_stand_Example-WorkShop-CIIEC.mdl'
#     Model named 'ModeloEstandar (Feyn. gauge)'

from object_library import all_couplings, Coupling
from function_library import complexconjugate, re, im, csc, sec, acsc, asec

GC_1 = Coupling(name = 'GC_1',
               value = 'EE*MW',
               order = {'QED':1 })

GC_2 = Coupling(name = 'GC_2',
               value = '-complex(0,1)*EE*MW/SW/2',
               order = {'QED':1 })

GC_3 = Coupling(name = 'GC_3',
               value = '-EE*MW/SW/2',
               order = {'QED':1 })

GC_4 = Coupling(name = 'GC_4',
               value = 'EE/CW*MW*(1/SW/2-SW)',
               order = {'QED':1 })

GC_5 = Coupling(name = 'GC_5',
               value = '-EE*MW',
               order = {'QED':1 })

GC_6 = Coupling(name = 'GC_6',
               value = 'EE*MW/SW/2',
               order = {'QED':1 })

GC_7 = Coupling(name = 'GC_7',
               value = 'EE/CW*MW*(-1/SW/2+SW)',
               order = {'QED':1 })

GC_8 = Coupling(name = 'GC_8',
               value = '-EE/CW*MW/SW/2',
               order = {'QED':1 })

GC_9 = Coupling(name = 'GC_9',
               value = 'EE/CW*MW/SW/2',
               order = {'QED':1 })

GC_10 = Coupling(name = 'GC_10',
               value = '-complex(0,1)/(CW*CW)*EE*MW/SW/2',
               order = {'QED':1 })

GC_11 = Coupling(name = 'GC_11',
               value = '-complex(0,1)*EE',
               order = {'QED':1 })

GC_12 = Coupling(name = 'GC_12',
               value = 'complex(0,1)*EE',
               order = {'QED':1 })

GC_13 = Coupling(name = 'GC_13',
               value = '-GG',
               order = {'QCD':1 })

GC_14 = Coupling(name = 'GC_14',
               value = '-complex(0,1)*CW*EE/SW',
               order = {'QED':1 })

GC_15 = Coupling(name = 'GC_15',
               value = 'complex(0,1)*CW*EE/SW',
               order = {'QED':1 })

GC_16 = Coupling(name = 'GC_16',
               value = '-3*complex(0,1)*EE*(MH*MH)/MW/SW/2',
               order = {'QED':1 })

GC_17 = Coupling(name = 'GC_17',
               value = '-complex(0,1)*EE*(MH*MH)/MW/SW/2',
               order = {'QED':1 })

GC_18 = Coupling(name = 'GC_18',
               value = 'EE/SW/2',
               order = {'QED':1 })

GC_19 = Coupling(name = 'GC_19',
               value = '-EE/SW/2',
               order = {'QED':1 })

GC_20 = Coupling(name = 'GC_20',
               value = 'EE*(SW/CW/2+CW/SW/2)',
               order = {'QED':1 })

GC_21 = Coupling(name = 'GC_21',
               value = 'EE*(-SW/CW/2-CW/SW/2)',
               order = {'QED':1 })

GC_22 = Coupling(name = 'GC_22',
               value = 'complex(0,1)*EE*(-SW/CW/2+CW/SW/2)',
               order = {'QED':1 })

GC_23 = Coupling(name = 'GC_23',
               value = 'complex(0,1)*EE*(SW/CW/2-CW/SW/2)',
               order = {'QED':1 })

GC_24 = Coupling(name = 'GC_24',
               value = '-complex(0,1)*EE/SW/2',
               order = {'QED':1 })

GC_25 = Coupling(name = 'GC_25',
               value = 'complex(0,1)*EE/SW/2',
               order = {'QED':1 })

GC_26 = Coupling(name = 'GC_26',
               value = '2*complex(0,1)*ghgg',
               order = { })

GC_27 = Coupling(name = 'GC_27',
               value = 'complex(0,1)*EE*MW/SW',
               order = {'QED':1 })

GC_28 = Coupling(name = 'GC_28',
               value = 'complex(0,1)*EE*MW*(2*SW+SW*SW*SW/(CW*CW)+CW*CW/SW)',
               order = {'QED':1 })

GC_29 = Coupling(name = 'GC_29',
               value = '-EE/CW*MW*SW',
               order = {'QED':1 })

GC_30 = Coupling(name = 'GC_30',
               value = 'EE/CW*MW*SW',
               order = {'QED':1 })

GC_31 = Coupling(name = 'GC_31',
               value = '-complex(0,1)*EE/MW*Mb/SW/2',
               order = {'QED':1 })

GC_32 = Coupling(name = 'GC_32',
               value = 'EE/MW*Mb/SW/2',
               order = {'QED':1 })

GC_33 = Coupling(name = 'GC_33',
               value = '-EE/MW*Mb/SW/2',
               order = {'QED':1 })

GC_34 = Coupling(name = 'GC_34',
               value = 'EE/MW*Mb/SW*Sqrt2*Vcb/2',
               order = {'QED':1 })

GC_35 = Coupling(name = 'GC_35',
               value = '-EE/MW*Mc/SW*Sqrt2*Vcb/2',
               order = {'QED':1 })

GC_36 = Coupling(name = 'GC_36',
               value = 'EE/MW*Mb/SW*Sqrt2*Vtb/2',
               order = {'QED':1 })

GC_37 = Coupling(name = 'GC_37',
               value = '-EE/MW*Mtop/SW*Sqrt2*Vtb/2',
               order = {'QED':1 })

GC_38 = Coupling(name = 'GC_38',
               value = 'EE/MW*Mb/SW*Sqrt2*Vub/2',
               order = {'QED':1 })

GC_39 = Coupling(name = 'GC_39',
               value = '-EE/MW*Mb/SW*Sqrt2*Vcb/2',
               order = {'QED':1 })

GC_40 = Coupling(name = 'GC_40',
               value = 'EE/MW*Mc/SW*Sqrt2*Vcb/2',
               order = {'QED':1 })

GC_41 = Coupling(name = 'GC_41',
               value = '-complex(0,1)*EE/MW*Mc/SW/2',
               order = {'QED':1 })

GC_42 = Coupling(name = 'GC_42',
               value = '-EE/MW*Mc/SW/2',
               order = {'QED':1 })

GC_43 = Coupling(name = 'GC_43',
               value = 'EE/MW*Mc/SW/2',
               order = {'QED':1 })

GC_44 = Coupling(name = 'GC_44',
               value = 'EE/MW*Mc/SW*Sqrt2*Vcd/2',
               order = {'QED':1 })

GC_45 = Coupling(name = 'GC_45',
               value = '-EE/MW*Ms/SW*Sqrt2*Vcs/2',
               order = {'QED':1 })

GC_46 = Coupling(name = 'GC_46',
               value = 'EE/MW*Mc/SW*Sqrt2*Vcs/2',
               order = {'QED':1 })

GC_47 = Coupling(name = 'GC_47',
               value = '-EE/MW*Mc/SW*Sqrt2*Vcd/2',
               order = {'QED':1 })

GC_48 = Coupling(name = 'GC_48',
               value = '-EE/MW*Mtop/SW*Sqrt2*Vtd/2',
               order = {'QED':1 })

GC_49 = Coupling(name = 'GC_49',
               value = '-complex(0,1)*EE/MW*Mm/SW/2',
               order = {'QED':1 })

GC_50 = Coupling(name = 'GC_50',
               value = 'EE/MW*Mm/SW/2',
               order = {'QED':1 })

GC_51 = Coupling(name = 'GC_51',
               value = '-EE/MW*Mm/SW/2',
               order = {'QED':1 })

GC_52 = Coupling(name = 'GC_52',
               value = 'complex(0,1)*Sqrt2*Ytaumu*cab/cb/2',
               order = { })

GC_53 = Coupling(name = 'GC_53',
               value = 'EE/MW*Mm/SW*Sqrt2/2',
               order = {'QED':1 })

GC_54 = Coupling(name = 'GC_54',
               value = '-complex(0,1)*EE/MW*Mt/SW/2',
               order = {'QED':1 })

GC_55 = Coupling(name = 'GC_55',
               value = 'EE/MW*Mt/SW/2',
               order = {'QED':1 })

GC_56 = Coupling(name = 'GC_56',
               value = '-EE/MW*Mt/SW/2',
               order = {'QED':1 })

GC_57 = Coupling(name = 'GC_57',
               value = 'EE/MW*Mt/SW*Sqrt2/2',
               order = {'QED':1 })

GC_58 = Coupling(name = 'GC_58',
               value = '-EE/MW*Mm/SW*Sqrt2/2',
               order = {'QED':1 })

GC_59 = Coupling(name = 'GC_59',
               value = '-EE/MW*Mt/SW*Sqrt2/2',
               order = {'QED':1 })

GC_60 = Coupling(name = 'GC_60',
               value = 'EE/MW*Ms/SW*Sqrt2*Vcs/2',
               order = {'QED':1 })

GC_61 = Coupling(name = 'GC_61',
               value = '-EE/MW*Mc/SW*Sqrt2*Vcs/2',
               order = {'QED':1 })

GC_62 = Coupling(name = 'GC_62',
               value = '-complex(0,1)*EE/MW*Ms/SW/2',
               order = {'QED':1 })

GC_63 = Coupling(name = 'GC_63',
               value = 'EE/MW*Ms/SW/2',
               order = {'QED':1 })

GC_64 = Coupling(name = 'GC_64',
               value = '-EE/MW*Ms/SW/2',
               order = {'QED':1 })

GC_65 = Coupling(name = 'GC_65',
               value = 'EE/MW*Ms/SW*Sqrt2*Vts/2',
               order = {'QED':1 })

GC_66 = Coupling(name = 'GC_66',
               value = '-EE/MW*Mtop/SW*Sqrt2*Vts/2',
               order = {'QED':1 })

GC_67 = Coupling(name = 'GC_67',
               value = 'EE/MW*Ms/SW*Sqrt2*Vus/2',
               order = {'QED':1 })

GC_68 = Coupling(name = 'GC_68',
               value = '-EE/MW*Mb/SW*Sqrt2*Vtb/2',
               order = {'QED':1 })

GC_69 = Coupling(name = 'GC_69',
               value = 'EE/MW*Mtop/SW*Sqrt2*Vtb/2',
               order = {'QED':1 })

GC_70 = Coupling(name = 'GC_70',
               value = 'EE/MW*Mtop/SW*Sqrt2*Vtd/2',
               order = {'QED':1 })

GC_71 = Coupling(name = 'GC_71',
               value = '-EE/MW*Ms/SW*Sqrt2*Vts/2',
               order = {'QED':1 })

GC_72 = Coupling(name = 'GC_72',
               value = 'EE/MW*Mtop/SW*Sqrt2*Vts/2',
               order = {'QED':1 })

GC_73 = Coupling(name = 'GC_73',
               value = '-complex(0,1)*EE/MW*Mtop/SW/2',
               order = {'QED':1 })

GC_74 = Coupling(name = 'GC_74',
               value = '-EE/MW*Mtop/SW/2',
               order = {'QED':1 })

GC_75 = Coupling(name = 'GC_75',
               value = 'EE/MW*Mtop/SW/2',
               order = {'QED':1 })

GC_76 = Coupling(name = 'GC_76',
               value = '-EE/MW*Mb/SW*Sqrt2*Vub/2',
               order = {'QED':1 })

GC_77 = Coupling(name = 'GC_77',
               value = '-EE/MW*Ms/SW*Sqrt2*Vus/2',
               order = {'QED':1 })

GC_78 = Coupling(name = 'GC_78',
               value = 'complex(0,1)*EE/3',
               order = {'QED':1 })

GC_79 = Coupling(name = 'GC_79',
               value = '-complex(0,1)*GG',
               order = {'QCD':1 })

GC_80 = Coupling(name = 'GC_80',
               value = '-complex(0,1)/CW*EE*SW/3',
               order = {'QED':1 })

GC_81 = Coupling(name = 'GC_81',
               value = 'complex(0,1)*EE*(SW/CW/6+CW/SW/2)',
               order = {'QED':1 })

GC_82 = Coupling(name = 'GC_82',
               value = '-complex(0,1)*EE/SW*Sqrt2*Vcb/2',
               order = {'QED':1 })

GC_83 = Coupling(name = 'GC_83',
               value = '-complex(0,1)*EE/SW*Sqrt2*Vtb/2',
               order = {'QED':1 })

GC_84 = Coupling(name = 'GC_84',
               value = '-complex(0,1)*EE/SW*Sqrt2*Vub/2',
               order = {'QED':1 })

GC_85 = Coupling(name = 'GC_85',
               value = '-2*complex(0,1)*EE/3',
               order = {'QED':1 })

GC_86 = Coupling(name = 'GC_86',
               value = 'complex(0,1)*EE*(SW/CW/6-CW/SW/2)',
               order = {'QED':1 })

GC_87 = Coupling(name = 'GC_87',
               value = '2*complex(0,1)/CW*EE*SW/3',
               order = {'QED':1 })

GC_88 = Coupling(name = 'GC_88',
               value = '-complex(0,1)*EE/SW*Sqrt2*Vcd/2',
               order = {'QED':1 })

GC_89 = Coupling(name = 'GC_89',
               value = '-complex(0,1)*EE/SW*Sqrt2*Vcs/2',
               order = {'QED':1 })

GC_90 = Coupling(name = 'GC_90',
               value = '-complex(0,1)*EE/SW*Sqrt2*Vtd/2',
               order = {'QED':1 })

GC_91 = Coupling(name = 'GC_91',
               value = '-complex(0,1)*EE/SW*Sqrt2*Vud/2',
               order = {'QED':1 })

GC_92 = Coupling(name = 'GC_92',
               value = '-complex(0,1)/CW*EE*SW',
               order = {'QED':1 })

GC_93 = Coupling(name = 'GC_93',
               value = '-complex(0,1)*EE/SW*Sqrt2/2',
               order = {'QED':1 })

GC_94 = Coupling(name = 'GC_94',
               value = 'complex(0,1)*EE*(-SW/CW/2-CW/SW/2)',
               order = {'QED':1 })

GC_95 = Coupling(name = 'GC_95',
               value = '-complex(0,1)*EE/SW*Sqrt2*Vts/2',
               order = {'QED':1 })

GC_96 = Coupling(name = 'GC_96',
               value = '-complex(0,1)*EE/SW*Sqrt2*Vus/2',
               order = {'QED':1 })

GC_97 = Coupling(name = 'GC_97',
               value = 'GG',
               order = {'QCD':1 })

GC_98 = Coupling(name = 'GC_98',
               value = '-3*complex(0,1)*(EE*EE)*(MH*MH)/(MW*MW)/(SW*SW)/4',
               order = {'QED':2 })

GC_99 = Coupling(name = 'GC_99',
               value = '-complex(0,1)*(EE*EE)*(MH*MH)/(MW*MW)/(SW*SW)/4',
               order = {'QED':2 })

GC_100 = Coupling(name = 'GC_100',
               value = '-complex(0,1)*(EE*EE)*(MH*MH)/(MW*MW)/(SW*SW)/2',
               order = {'QED':2 })

GC_101 = Coupling(name = 'GC_101',
               value = 'complex(0,1)*(EE*EE)/(SW*SW)/2',
               order = {'QED':2 })

GC_102 = Coupling(name = 'GC_102',
               value = 'complex(0,1)*(EE*EE)*(1+SW*SW/(CW*CW)/2+CW*CW/(SW*SW)/2)',
               order = {'QED':2 })

GC_103 = Coupling(name = 'GC_103',
               value = 'EE*EE/SW/2',
               order = {'QED':2 })

GC_104 = Coupling(name = 'GC_104',
               value = '-EE*EE/CW/2',
               order = {'QED':2 })

GC_105 = Coupling(name = 'GC_105',
               value = '-EE*EE/SW/2',
               order = {'QED':2 })

GC_106 = Coupling(name = 'GC_106',
               value = 'EE*EE/CW/2',
               order = {'QED':2 })

GC_107 = Coupling(name = 'GC_107',
               value = '2*complex(0,1)*(EE*EE)',
               order = {'QED':2 })

GC_108 = Coupling(name = 'GC_108',
               value = 'complex(0,1)*(EE*EE)*(-SW/CW+CW/SW)',
               order = {'QED':2 })

GC_109 = Coupling(name = 'GC_109',
               value = 'complex(0,1)*(EE*EE)*(-1+SW*SW/(CW*CW)/2+CW*CW/(SW*SW)/2)',
               order = {'QED':2 })

GC_110 = Coupling(name = 'GC_110',
               value = '-complex(0,1)*(EE*EE)/SW/2',
               order = {'QED':2 })

GC_111 = Coupling(name = 'GC_111',
               value = 'complex(0,1)/CW*(EE*EE)/2',
               order = {'QED':2 })

GC_112 = Coupling(name = 'GC_112',
               value = '-2*complex(0,1)*(EE*EE)',
               order = {'QED':2 })

GC_113 = Coupling(name = 'GC_113',
               value = 'complex(0,1)*(EE*EE)',
               order = {'QED':2 })

GC_114 = Coupling(name = 'GC_114',
               value = '-2*complex(0,1)*CW*(EE*EE)/SW',
               order = {'QED':2 })

GC_115 = Coupling(name = 'GC_115',
               value = 'complex(0,1)*CW*(EE*EE)/SW',
               order = {'QED':2 })

GC_116 = Coupling(name = 'GC_116',
               value = '-complex(0,1)*(GG*GG)',
               order = {'QCD':2 })

GC_117 = Coupling(name = 'GC_117',
               value = 'complex(0,1)*(GG*GG)',
               order = {'QCD':2 })

GC_118 = Coupling(name = 'GC_118',
               value = '2*complex(0,1)*(EE*EE)/(SW*SW)',
               order = {'QED':2 })

GC_119 = Coupling(name = 'GC_119',
               value = '-complex(0,1)*(EE*EE)/(SW*SW)',
               order = {'QED':2 })

GC_120 = Coupling(name = 'GC_120',
               value = '-2*complex(0,1)*(CW*CW)*(EE*EE)/(SW*SW)',
               order = {'QED':2 })

GC_121 = Coupling(name = 'GC_121',
               value = 'complex(0,1)*(CW*CW)*(EE*EE)/(SW*SW)',
               order = {'QED':2 })

