#	LanHEP output produced at Wed Jun  1 08:32:12 2022
#	from the file '/home/alumno/Software/LanHEP/lanhep400/mdl/z_stand_Example-WorkShop-CIIEC.mdl'
#	Model named 'ModeloEstandar (Feyn. gauge)'


from object_library import all_vertices, Vertex
import particles as P
import couplings as C
import lorentz as L

V_1 = Vertex(name='V_1',
              particles = [  P.W__plus__gh__tilde__,  P.Agh,  P.W__minus__gsb ],
              lorentz = [ L.UUS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_1})

V_2 = Vertex(name='V_2',
              particles = [  P.W__plus__gh__tilde__,  P.W__minus__gh,  P.H ],
              lorentz = [ L.UUS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_2})

V_3 = Vertex(name='V_3',
              particles = [  P.W__plus__gh__tilde__,  P.W__minus__gh,  P.Zgsb ],
              lorentz = [ L.UUS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_3})

V_4 = Vertex(name='V_4',
              particles = [  P.W__plus__gh__tilde__,  P.Zgh,  P.W__minus__gsb ],
              lorentz = [ L.UUS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_4})

V_5 = Vertex(name='V_5',
              particles = [  P.W__minus__gh__tilde__,  P.Agh,  P.W__plus__gsb ],
              lorentz = [ L.UUS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_5})

V_6 = Vertex(name='V_6',
              particles = [  P.W__minus__gh__tilde__,  P.W__plus__gh,  P.H ],
              lorentz = [ L.UUS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_2})

V_7 = Vertex(name='V_7',
              particles = [  P.W__minus__gh__tilde__,  P.W__plus__gh,  P.Zgsb ],
              lorentz = [ L.UUS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_6})

V_8 = Vertex(name='V_8',
              particles = [  P.W__minus__gh__tilde__,  P.Zgh,  P.W__plus__gsb ],
              lorentz = [ L.UUS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_7})

V_9 = Vertex(name='V_9',
              particles = [  P.Zgh__tilde__,  P.W__plus__gh,  P.W__minus__gsb ],
              lorentz = [ L.UUS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_8})

V_10 = Vertex(name='V_10',
              particles = [  P.Zgh__tilde__,  P.W__minus__gh,  P.W__plus__gsb ],
              lorentz = [ L.UUS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_9})

V_11 = Vertex(name='V_11',
              particles = [  P.Zgh__tilde__,  P.Zgh,  P.H ],
              lorentz = [ L.UUS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_10})

V_12 = Vertex(name='V_12',
              particles = [  P.Agh__tilde__,  P.W__plus__gh,  P.W__minus__ ],
              lorentz = [ L.UUV_1, L.UUV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_11})

V_13 = Vertex(name='V_13',
              particles = [  P.Agh__tilde__,  P.W__minus__gh,  P.W__plus__ ],
              lorentz = [ L.UUV_1, L.UUV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_12})

V_14 = Vertex(name='V_14',
              particles = [  P.Ggh__tilde__,  P.Ggh,  P.G ],
              lorentz = [ L.UUV_1, L.UUV_2  ],
              color = [ 'f(1,2,3)' ],
              couplings = {(0,1):C.GC_13})

V_15 = Vertex(name='V_15',
              particles = [  P.W__plus__gh__tilde__,  P.Agh,  P.W__minus__ ],
              lorentz = [ L.UUV_1, L.UUV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_12})

V_16 = Vertex(name='V_16',
              particles = [  P.W__plus__gh__tilde__,  P.W__minus__gh,  P.A ],
              lorentz = [ L.UUV_1, L.UUV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_11})

V_17 = Vertex(name='V_17',
              particles = [  P.W__plus__gh__tilde__,  P.W__minus__gh,  P.Z ],
              lorentz = [ L.UUV_1, L.UUV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_14})

V_18 = Vertex(name='V_18',
              particles = [  P.W__plus__gh__tilde__,  P.Zgh,  P.W__minus__ ],
              lorentz = [ L.UUV_1, L.UUV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_15})

V_19 = Vertex(name='V_19',
              particles = [  P.W__minus__gh__tilde__,  P.Agh,  P.W__plus__ ],
              lorentz = [ L.UUV_1, L.UUV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_11})

V_20 = Vertex(name='V_20',
              particles = [  P.W__minus__gh__tilde__,  P.W__plus__gh,  P.A ],
              lorentz = [ L.UUV_1, L.UUV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_12})

V_21 = Vertex(name='V_21',
              particles = [  P.W__minus__gh__tilde__,  P.W__plus__gh,  P.Z ],
              lorentz = [ L.UUV_1, L.UUV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_15})

V_22 = Vertex(name='V_22',
              particles = [  P.W__minus__gh__tilde__,  P.Zgh,  P.W__plus__ ],
              lorentz = [ L.UUV_1, L.UUV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_14})

V_23 = Vertex(name='V_23',
              particles = [  P.Zgh__tilde__,  P.W__plus__gh,  P.W__minus__ ],
              lorentz = [ L.UUV_1, L.UUV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_14})

V_24 = Vertex(name='V_24',
              particles = [  P.Zgh__tilde__,  P.W__minus__gh,  P.W__plus__ ],
              lorentz = [ L.UUV_1, L.UUV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_15})

V_25 = Vertex(name='V_25',
              particles = [  P.H,  P.H,  P.H ],
              lorentz = [ L.SSS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_16})

V_26 = Vertex(name='V_26',
              particles = [  P.H,  P.W__plus__gsb,  P.W__minus__gsb ],
              lorentz = [ L.SSS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_17})

V_27 = Vertex(name='V_27',
              particles = [  P.H,  P.Zgsb,  P.Zgsb ],
              lorentz = [ L.SSS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_17})

V_28 = Vertex(name='V_28',
              particles = [  P.H,  P.W__plus__gsb,  P.W__minus__ ],
              lorentz = [ L.SSV_1, L.SSV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_18,(0,1):C.GC_19})

V_29 = Vertex(name='V_29',
              particles = [  P.H,  P.W__minus__gsb,  P.W__plus__ ],
              lorentz = [ L.SSV_1, L.SSV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_18,(0,1):C.GC_19})

V_30 = Vertex(name='V_30',
              particles = [  P.H,  P.Zgsb,  P.Z ],
              lorentz = [ L.SSV_1, L.SSV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_20,(0,1):C.GC_21})

V_31 = Vertex(name='V_31',
              particles = [  P.W__plus__gsb,  P.W__minus__gsb,  P.A ],
              lorentz = [ L.SSV_1, L.SSV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_11,(0,1):C.GC_12})

V_32 = Vertex(name='V_32',
              particles = [  P.W__plus__gsb,  P.W__minus__gsb,  P.Z ],
              lorentz = [ L.SSV_1, L.SSV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_23,(0,1):C.GC_22})

V_33 = Vertex(name='V_33',
              particles = [  P.W__plus__gsb,  P.Zgsb,  P.W__minus__ ],
              lorentz = [ L.SSV_1, L.SSV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_25,(0,1):C.GC_24})

V_34 = Vertex(name='V_34',
              particles = [  P.W__minus__gsb,  P.Zgsb,  P.W__plus__ ],
              lorentz = [ L.SSV_1, L.SSV_2  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_24,(0,1):C.GC_25})

V_35 = Vertex(name='V_35',
              particles = [  P.H,  P.G,  P.G ],
              lorentz = [ L.SVV_1  ],
              color = [ 'Identity(2,3)' ],
              couplings = {(0,0):C.GC_26})

V_36 = Vertex(name='V_36',
              particles = [  P.H,  P.W__plus__,  P.W__minus__ ],
              lorentz = [ L.SVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_27})

V_37 = Vertex(name='V_37',
              particles = [  P.H,  P.Z,  P.Z ],
              lorentz = [ L.SVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_28})

V_38 = Vertex(name='V_38',
              particles = [  P.W__plus__gsb,  P.A,  P.W__minus__ ],
              lorentz = [ L.SVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_1})

V_39 = Vertex(name='V_39',
              particles = [  P.W__plus__gsb,  P.W__minus__,  P.Z ],
              lorentz = [ L.SVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_29})

V_40 = Vertex(name='V_40',
              particles = [  P.W__minus__gsb,  P.A,  P.W__plus__ ],
              lorentz = [ L.SVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_5})

V_41 = Vertex(name='V_41',
              particles = [  P.W__minus__gsb,  P.W__plus__,  P.Z ],
              lorentz = [ L.SVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_30})

V_42 = Vertex(name='V_42',
              particles = [  P.B,  P.b,  P.H ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_31,(0,1):C.GC_31})

V_43 = Vertex(name='V_43',
              particles = [  P.B,  P.b,  P.Zgsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_32,(0,1):C.GC_33})

V_44 = Vertex(name='V_44',
              particles = [  P.B,  P.c,  P.W__minus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_35,(0,1):C.GC_34})

V_45 = Vertex(name='V_45',
              particles = [  P.B,  P.t,  P.W__minus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_37,(0,1):C.GC_36})

V_46 = Vertex(name='V_46',
              particles = [  P.B,  P.u,  P.W__minus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_38})

V_47 = Vertex(name='V_47',
              particles = [  P.C,  P.b,  P.W__plus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_39,(0,1):C.GC_40})

V_48 = Vertex(name='V_48',
              particles = [  P.C,  P.c,  P.H ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_41,(0,1):C.GC_41})

V_49 = Vertex(name='V_49',
              particles = [  P.C,  P.c,  P.Zgsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_42,(0,1):C.GC_43})

V_50 = Vertex(name='V_50',
              particles = [  P.C,  P.d,  P.W__plus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_44})

V_51 = Vertex(name='V_51',
              particles = [  P.C,  P.s,  P.W__plus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_45,(0,1):C.GC_46})

V_52 = Vertex(name='V_52',
              particles = [  P.D,  P.c,  P.W__minus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_47})

V_53 = Vertex(name='V_53',
              particles = [  P.D,  P.t,  P.W__minus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_48})

V_54 = Vertex(name='V_54',
              particles = [  P.E2,  P.e2,  P.H ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_49,(0,1):C.GC_49})

V_55 = Vertex(name='V_55',
              particles = [  P.E2,  P.e2,  P.Zgsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_50,(0,1):C.GC_51})

V_56 = Vertex(name='V_56',
              particles = [  P.E2,  P.e3,  P.H ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ '1' ],
              couplings = {(0,2):C.GC_52})

V_57 = Vertex(name='V_57',
              particles = [  P.E2,  P.n2,  P.W__minus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ '1' ],
              couplings = {(0,1):C.GC_53})

V_58 = Vertex(name='V_58',
              particles = [  P.E3,  P.e2,  P.H ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ '1' ],
              couplings = {(0,2):C.GC_52})

V_59 = Vertex(name='V_59',
              particles = [  P.E3,  P.e3,  P.H ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_54,(0,1):C.GC_54})

V_60 = Vertex(name='V_60',
              particles = [  P.E3,  P.e3,  P.Zgsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_55,(0,1):C.GC_56})

V_61 = Vertex(name='V_61',
              particles = [  P.E3,  P.n3,  P.W__minus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ '1' ],
              couplings = {(0,1):C.GC_57})

V_62 = Vertex(name='V_62',
              particles = [  P.N2,  P.e2,  P.W__plus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_58})

V_63 = Vertex(name='V_63',
              particles = [  P.N3,  P.e3,  P.W__plus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_59})

V_64 = Vertex(name='V_64',
              particles = [  P.S,  P.c,  P.W__minus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_61,(0,1):C.GC_60})

V_65 = Vertex(name='V_65',
              particles = [  P.S,  P.s,  P.H ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_62,(0,1):C.GC_62})

V_66 = Vertex(name='V_66',
              particles = [  P.S,  P.s,  P.Zgsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_63,(0,1):C.GC_64})

V_67 = Vertex(name='V_67',
              particles = [  P.S,  P.t,  P.W__minus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_66,(0,1):C.GC_65})

V_68 = Vertex(name='V_68',
              particles = [  P.S,  P.u,  P.W__minus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_67})

V_69 = Vertex(name='V_69',
              particles = [  P.T,  P.b,  P.W__plus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_68,(0,1):C.GC_69})

V_70 = Vertex(name='V_70',
              particles = [  P.T,  P.d,  P.W__plus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_70})

V_71 = Vertex(name='V_71',
              particles = [  P.T,  P.s,  P.W__plus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_71,(0,1):C.GC_72})

V_72 = Vertex(name='V_72',
              particles = [  P.T,  P.t,  P.H ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_73,(0,1):C.GC_73})

V_73 = Vertex(name='V_73',
              particles = [  P.T,  P.t,  P.Zgsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_74,(0,1):C.GC_75})

V_74 = Vertex(name='V_74',
              particles = [  P.U,  P.b,  P.W__plus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_76})

V_75 = Vertex(name='V_75',
              particles = [  P.U,  P.s,  P.W__plus__gsb ],
              lorentz = [ L.FFS_1, L.FFS_2, L.FFS_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_77})

V_76 = Vertex(name='V_76',
              particles = [  P.B,  P.b,  P.A ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_78,(0,1):C.GC_78})

V_77 = Vertex(name='V_77',
              particles = [  P.B,  P.b,  P.G ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'T(3,2,1)' ],
              couplings = {(0,2):C.GC_79})

V_78 = Vertex(name='V_78',
              particles = [  P.B,  P.b,  P.Z ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_80,(0,1):C.GC_81})

V_79 = Vertex(name='V_79',
              particles = [  P.B,  P.c,  P.W__minus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_82})

V_80 = Vertex(name='V_80',
              particles = [  P.B,  P.t,  P.W__minus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_83})

V_81 = Vertex(name='V_81',
              particles = [  P.B,  P.u,  P.W__minus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_84})

V_82 = Vertex(name='V_82',
              particles = [  P.C,  P.b,  P.W__plus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_82})

V_83 = Vertex(name='V_83',
              particles = [  P.C,  P.c,  P.A ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_85,(0,1):C.GC_85})

V_84 = Vertex(name='V_84',
              particles = [  P.C,  P.c,  P.G ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'T(3,2,1)' ],
              couplings = {(0,2):C.GC_79})

V_85 = Vertex(name='V_85',
              particles = [  P.C,  P.c,  P.Z ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_87,(0,1):C.GC_86})

V_86 = Vertex(name='V_86',
              particles = [  P.C,  P.d,  P.W__plus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_88})

V_87 = Vertex(name='V_87',
              particles = [  P.C,  P.s,  P.W__plus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_89})

V_88 = Vertex(name='V_88',
              particles = [  P.D,  P.c,  P.W__minus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_88})

V_89 = Vertex(name='V_89',
              particles = [  P.D,  P.d,  P.A ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_78,(0,1):C.GC_78})

V_90 = Vertex(name='V_90',
              particles = [  P.D,  P.d,  P.G ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'T(3,2,1)' ],
              couplings = {(0,2):C.GC_79})

V_91 = Vertex(name='V_91',
              particles = [  P.D,  P.d,  P.Z ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_80,(0,1):C.GC_81})

V_92 = Vertex(name='V_92',
              particles = [  P.D,  P.t,  P.W__minus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_90})

V_93 = Vertex(name='V_93',
              particles = [  P.D,  P.u,  P.W__minus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_91})

V_94 = Vertex(name='V_94',
              particles = [  P.E1,  P.e1,  P.A ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_12,(0,1):C.GC_12})

V_95 = Vertex(name='V_95',
              particles = [  P.E1,  P.e1,  P.Z ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_92,(0,1):C.GC_22})

V_96 = Vertex(name='V_96',
              particles = [  P.E1,  P.n1,  P.W__minus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ '1' ],
              couplings = {(0,1):C.GC_93})

V_97 = Vertex(name='V_97',
              particles = [  P.E2,  P.e2,  P.A ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_12,(0,1):C.GC_12})

V_98 = Vertex(name='V_98',
              particles = [  P.E2,  P.e2,  P.Z ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_92,(0,1):C.GC_22})

V_99 = Vertex(name='V_99',
              particles = [  P.E2,  P.n2,  P.W__minus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ '1' ],
              couplings = {(0,1):C.GC_93})

V_100 = Vertex(name='V_100',
              particles = [  P.E3,  P.e3,  P.A ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_12,(0,1):C.GC_12})

V_101 = Vertex(name='V_101',
              particles = [  P.E3,  P.e3,  P.Z ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_92,(0,1):C.GC_22})

V_102 = Vertex(name='V_102',
              particles = [  P.E3,  P.n3,  P.W__minus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ '1' ],
              couplings = {(0,1):C.GC_93})

V_103 = Vertex(name='V_103',
              particles = [  P.N1,  P.e1,  P.W__plus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ '1' ],
              couplings = {(0,1):C.GC_93})

V_104 = Vertex(name='V_104',
              particles = [  P.N1,  P.n1,  P.Z ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ '1' ],
              couplings = {(0,1):C.GC_94})

V_105 = Vertex(name='V_105',
              particles = [  P.N2,  P.e2,  P.W__plus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ '1' ],
              couplings = {(0,1):C.GC_93})

V_106 = Vertex(name='V_106',
              particles = [  P.N2,  P.n2,  P.Z ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ '1' ],
              couplings = {(0,1):C.GC_94})

V_107 = Vertex(name='V_107',
              particles = [  P.N3,  P.e3,  P.W__plus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ '1' ],
              couplings = {(0,1):C.GC_93})

V_108 = Vertex(name='V_108',
              particles = [  P.N3,  P.n3,  P.Z ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ '1' ],
              couplings = {(0,1):C.GC_94})

V_109 = Vertex(name='V_109',
              particles = [  P.S,  P.c,  P.W__minus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_89})

V_110 = Vertex(name='V_110',
              particles = [  P.S,  P.s,  P.A ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_78,(0,1):C.GC_78})

V_111 = Vertex(name='V_111',
              particles = [  P.S,  P.s,  P.G ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'T(3,2,1)' ],
              couplings = {(0,2):C.GC_79})

V_112 = Vertex(name='V_112',
              particles = [  P.S,  P.s,  P.Z ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_80,(0,1):C.GC_81})

V_113 = Vertex(name='V_113',
              particles = [  P.S,  P.t,  P.W__minus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_95})

V_114 = Vertex(name='V_114',
              particles = [  P.S,  P.u,  P.W__minus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_96})

V_115 = Vertex(name='V_115',
              particles = [  P.T,  P.b,  P.W__plus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_83})

V_116 = Vertex(name='V_116',
              particles = [  P.T,  P.d,  P.W__plus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_90})

V_117 = Vertex(name='V_117',
              particles = [  P.T,  P.s,  P.W__plus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_95})

V_118 = Vertex(name='V_118',
              particles = [  P.T,  P.t,  P.A ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_85,(0,1):C.GC_85})

V_119 = Vertex(name='V_119',
              particles = [  P.T,  P.t,  P.G ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'T(3,2,1)' ],
              couplings = {(0,2):C.GC_79})

V_120 = Vertex(name='V_120',
              particles = [  P.T,  P.t,  P.Z ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_87,(0,1):C.GC_86})

V_121 = Vertex(name='V_121',
              particles = [  P.U,  P.b,  P.W__plus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_84})

V_122 = Vertex(name='V_122',
              particles = [  P.U,  P.d,  P.W__plus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_91})

V_123 = Vertex(name='V_123',
              particles = [  P.U,  P.s,  P.W__plus__ ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,1):C.GC_96})

V_124 = Vertex(name='V_124',
              particles = [  P.U,  P.u,  P.A ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_85,(0,1):C.GC_85})

V_125 = Vertex(name='V_125',
              particles = [  P.U,  P.u,  P.G ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'T(3,2,1)' ],
              couplings = {(0,2):C.GC_79})

V_126 = Vertex(name='V_126',
              particles = [  P.U,  P.u,  P.Z ],
              lorentz = [ L.FFV_1, L.FFV_2, L.FFV_3  ],
              color = [ 'Identity(1,2)' ],
              couplings = {(0,0):C.GC_87,(0,1):C.GC_86})

V_127 = Vertex(name='V_127',
              particles = [  P.A,  P.W__plus__,  P.W__minus__ ],
              lorentz = [ L.VVV_1, L.VVV_2, L.VVV_3, L.VVV_4, L.VVV_5, L.VVV_6  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_11,(0,1):C.GC_12,(0,2):C.GC_12,(0,3):C.GC_11,(0,4):C.GC_11,(0,5):C.GC_12})

V_128 = Vertex(name='V_128',
              particles = [  P.G,  P.G,  P.G ],
              lorentz = [ L.VVV_1, L.VVV_2, L.VVV_3, L.VVV_4, L.VVV_5, L.VVV_6  ],
              color = [ 'f(1,2,3)' ],
              couplings = {(0,0):C.GC_97,(0,1):C.GC_13,(0,2):C.GC_13,(0,3):C.GC_97,(0,4):C.GC_97,(0,5):C.GC_13})

V_129 = Vertex(name='V_129',
              particles = [  P.W__plus__,  P.W__minus__,  P.Z ],
              lorentz = [ L.VVV_1, L.VVV_2, L.VVV_3, L.VVV_4, L.VVV_5, L.VVV_6  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_14,(0,1):C.GC_15,(0,2):C.GC_15,(0,3):C.GC_14,(0,4):C.GC_14,(0,5):C.GC_15})

V_130 = Vertex(name='V_130',
              particles = [  P.H,  P.H,  P.H,  P.H ],
              lorentz = [ L.SSSS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_98})

V_131 = Vertex(name='V_131',
              particles = [  P.H,  P.H,  P.W__plus__gsb,  P.W__minus__gsb ],
              lorentz = [ L.SSSS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_99})

V_132 = Vertex(name='V_132',
              particles = [  P.H,  P.H,  P.Zgsb,  P.Zgsb ],
              lorentz = [ L.SSSS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_99})

V_133 = Vertex(name='V_133',
              particles = [  P.W__plus__gsb,  P.W__plus__gsb,  P.W__minus__gsb,  P.W__minus__gsb ],
              lorentz = [ L.SSSS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_100})

V_134 = Vertex(name='V_134',
              particles = [  P.W__plus__gsb,  P.W__minus__gsb,  P.Zgsb,  P.Zgsb ],
              lorentz = [ L.SSSS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_99})

V_135 = Vertex(name='V_135',
              particles = [  P.Zgsb,  P.Zgsb,  P.Zgsb,  P.Zgsb ],
              lorentz = [ L.SSSS_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_98})

V_136 = Vertex(name='V_136',
              particles = [  P.H,  P.H,  P.W__plus__,  P.W__minus__ ],
              lorentz = [ L.SSVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_101})

V_137 = Vertex(name='V_137',
              particles = [  P.H,  P.H,  P.Z,  P.Z ],
              lorentz = [ L.SSVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_102})

V_138 = Vertex(name='V_138',
              particles = [  P.H,  P.W__plus__gsb,  P.A,  P.W__minus__ ],
              lorentz = [ L.SSVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_103})

V_139 = Vertex(name='V_139',
              particles = [  P.H,  P.W__plus__gsb,  P.W__minus__,  P.Z ],
              lorentz = [ L.SSVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_104})

V_140 = Vertex(name='V_140',
              particles = [  P.H,  P.W__minus__gsb,  P.A,  P.W__plus__ ],
              lorentz = [ L.SSVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_105})

V_141 = Vertex(name='V_141',
              particles = [  P.H,  P.W__minus__gsb,  P.W__plus__,  P.Z ],
              lorentz = [ L.SSVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_106})

V_142 = Vertex(name='V_142',
              particles = [  P.W__plus__gsb,  P.W__minus__gsb,  P.A,  P.A ],
              lorentz = [ L.SSVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_107})

V_143 = Vertex(name='V_143',
              particles = [  P.W__plus__gsb,  P.W__minus__gsb,  P.A,  P.Z ],
              lorentz = [ L.SSVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_108})

V_144 = Vertex(name='V_144',
              particles = [  P.W__plus__gsb,  P.W__minus__gsb,  P.W__plus__,  P.W__minus__ ],
              lorentz = [ L.SSVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_101})

V_145 = Vertex(name='V_145',
              particles = [  P.W__plus__gsb,  P.W__minus__gsb,  P.Z,  P.Z ],
              lorentz = [ L.SSVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_109})

V_146 = Vertex(name='V_146',
              particles = [  P.W__plus__gsb,  P.Zgsb,  P.A,  P.W__minus__ ],
              lorentz = [ L.SSVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_110})

V_147 = Vertex(name='V_147',
              particles = [  P.W__plus__gsb,  P.Zgsb,  P.W__minus__,  P.Z ],
              lorentz = [ L.SSVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_111})

V_148 = Vertex(name='V_148',
              particles = [  P.W__minus__gsb,  P.Zgsb,  P.A,  P.W__plus__ ],
              lorentz = [ L.SSVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_110})

V_149 = Vertex(name='V_149',
              particles = [  P.W__minus__gsb,  P.Zgsb,  P.W__plus__,  P.Z ],
              lorentz = [ L.SSVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_111})

V_150 = Vertex(name='V_150',
              particles = [  P.Zgsb,  P.Zgsb,  P.W__plus__,  P.W__minus__ ],
              lorentz = [ L.SSVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_101})

V_151 = Vertex(name='V_151',
              particles = [  P.Zgsb,  P.Zgsb,  P.Z,  P.Z ],
              lorentz = [ L.SSVV_1  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_102})

V_152 = Vertex(name='V_152',
              particles = [  P.A,  P.A,  P.W__plus__,  P.W__minus__ ],
              lorentz = [ L.VVVV_1, L.VVVV_2, L.VVVV_3  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_112,(0,1):C.GC_113,(0,2):C.GC_113})

V_153 = Vertex(name='V_153',
              particles = [  P.A,  P.W__plus__,  P.W__minus__,  P.Z ],
              lorentz = [ L.VVVV_1, L.VVVV_2, L.VVVV_3  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_115,(0,1):C.GC_115,(0,2):C.GC_114})

V_154 = Vertex(name='V_154',
              particles = [  P.G,  P.G,  P.G,  P.G ],
              lorentz = [ L.VVVV_1, L.VVVV_2, L.VVVV_3  ],
              color = [ 'f(1,2,-1)*f(3,4,-1)', 'f(1,3,-1)*f(2,4,-1)', 'f(1,4,-1)*f(2,3,-1)' ],
              couplings = {(1,0):C.GC_116,(2,0):C.GC_116,(0,1):C.GC_116,(2,1):C.GC_117,(0,2):C.GC_117,(1,2):C.GC_117})

V_155 = Vertex(name='V_155',
              particles = [  P.W__plus__,  P.W__plus__,  P.W__minus__,  P.W__minus__ ],
              lorentz = [ L.VVVV_1, L.VVVV_2, L.VVVV_3  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_118,(0,1):C.GC_119,(0,2):C.GC_119})

V_156 = Vertex(name='V_156',
              particles = [  P.W__plus__,  P.W__minus__,  P.Z,  P.Z ],
              lorentz = [ L.VVVV_1, L.VVVV_2, L.VVVV_3  ],
              color = [ '1' ],
              couplings = {(0,0):C.GC_120,(0,1):C.GC_121,(0,2):C.GC_121})

