#	LanHEP output produced at Wed Jun  1 08:32:12 2022
#	from the file '/home/alumno/Software/LanHEP/lanhep400/mdl/z_stand_Example-WorkShop-CIIEC.mdl'
#	Model named 'ModeloEstandar (Feyn. gauge)'


from __future__ import division
from object_library import all_particles, Particle
import propagators as Prop

Agh =  Particle(  pdg_code = 0,
              name = 'A.c',
              antiname = 'A.C',
              spin = -1,
              color = 1,
              mass = 'ZERO',
              width = 'ZERO',
              texname = 'C^{Z}',
              antitexname = '\bar{C}^A',
              charge = 0,
              LeptonNumber = 0,
              GhostNumber = 1)

Agh__tilde__ = Agh.anti()

A =  Particle(  pdg_code = 22,
              name = 'A',
              antiname = 'A',
              spin = 3,
              color = 1,
              mass = 'ZERO',
              width = 'ZERO',
              texname = 'A',
              antitexname = 'A',
              charge = 0,
              LeptonNumber = 0,
              GhostNumber = 0)

Zgh =  Particle(  pdg_code = 0,
              name = 'Z.c',
              antiname = 'Z.C',
              spin = -1,
              color = 1,
              mass = 'MZ',
              width = 'wZ',
              texname = 'C^{Z}',
              antitexname = '\bar{C}^{Z}',
              charge = 0,
              LeptonNumber = 0,
              GhostNumber = 1)

Zgh__tilde__ = Zgh.anti()

Z =  Particle(  pdg_code = 23,
              name = 'Z',
              antiname = 'Z',
              spin = 3,
              color = 1,
              mass = 'MZ',
              width = 'wZ',
              texname = 'Z',
              antitexname = 'Z',
              charge = 0,
              LeptonNumber = 0,
              GhostNumber = 0)

Zgsb =  Particle(  pdg_code = 0,
              name = 'Z.f',
              antiname = 'Z.f',
              spin = 1,
              color = 1,
              mass = 'MZ',
              width = 'ZERO',
              texname = 'Z_F',
              antitexname = 'Z_F',
              charge = 0,
              LeptonNumber = 0,
              GoldstoneBoson = True,
              GhostNumber = 0)

Ggh =  Particle(  pdg_code = 0,
              name = 'G.c',
              antiname = 'G.C',
              spin = -1,
              color = 8,
              mass = 'ZERO',
              width = 'ZERO',
              texname = 'C^G',
              antitexname = '\bar{C}^G',
              charge = 0,
              LeptonNumber = 0,
              GhostNumber = 1)

Ggh__tilde__ = Ggh.anti()

G =  Particle(  pdg_code = 21,
              name = 'G',
              antiname = 'G',
              spin = 3,
              color = 8,
              mass = 'ZERO',
              width = 'ZERO',
              texname = 'G',
              antitexname = 'G',
              charge = 0,
              LeptonNumber = 0,
              GhostNumber = 0)

W__plus__gh =  Particle(  pdg_code = 0,
              name = 'W+.c',
              antiname = 'W-.C',
              spin = -1,
              color = 1,
              mass = 'MW',
              width = 'wW',
              texname = 'C^{W+}',
              antitexname = '\bar{C}^{W-}',
              charge = 1,
              LeptonNumber = 0,
              GhostNumber = 1)

W__minus__gh__tilde__ = W__plus__gh.anti()

W__plus__gh__tilde__ =  Particle(  pdg_code = 0,
              name = 'W+.C',
              antiname = 'W-.c',
              spin = -1,
              color = 1,
              mass = 'MW',
              width = 'wW',
              texname = '\bar{C}^{W+}',
              antitexname = 'C^{W-}',
              charge = 1,
              LeptonNumber = 0,
              GhostNumber = 1)

W__minus__gh = W__plus__gh__tilde__.anti()

W__plus__ =  Particle(  pdg_code = 24,
              name = 'W+',
              antiname = 'W-',
              spin = 3,
              color = 1,
              mass = 'MW',
              width = 'wW',
              texname = 'W^+',
              antitexname = 'W^-',
              charge = 1,
              LeptonNumber = 0,
              GhostNumber = 0)

W__minus__ = W__plus__.anti()

W__plus__gsb =  Particle(  pdg_code = 0,
              name = 'W+.f',
              antiname = 'W-.f',
              spin = 1,
              color = 1,
              mass = 'MW',
              width = 'ZERO',
              texname = 'W^+_F',
              antitexname = 'W^-_F',
              charge = 1,
              LeptonNumber = 0,
              GoldstoneBoson = True,
              GhostNumber = 0)

W__minus__gsb = W__plus__gsb.anti()

n1 =  Particle(  pdg_code = 12,
              name = 'n1',
              antiname = 'N1',
              spin = 2,
              color = 1,
              mass = 'ZERO',
              width = 'ZERO',
              texname = '\nu^e',
              antitexname = '\bar{\nu}^e',
              charge = 0,
              LeptonNumber = 0,
              GhostNumber = 0)

N1 = n1.anti()

e1 =  Particle(  pdg_code = 11,
              name = 'e1',
              antiname = 'E1',
              spin = 2,
              color = 1,
              mass = 'ZERO',
              width = 'ZERO',
              texname = 'e',
              antitexname = '\bar{e}',
              charge = -1,
              LeptonNumber = 0,
              GhostNumber = 0)

E1 = e1.anti()

n2 =  Particle(  pdg_code = 14,
              name = 'n2',
              antiname = 'N2',
              spin = 2,
              color = 1,
              mass = 'ZERO',
              width = 'ZERO',
              texname = '\nu^\mu',
              antitexname = '\bar{\nu}^\mu',
              charge = 0,
              LeptonNumber = 0,
              GhostNumber = 0)

N2 = n2.anti()

e2 =  Particle(  pdg_code = 13,
              name = 'e2',
              antiname = 'E2',
              spin = 2,
              color = 1,
              mass = 'Mm',
              width = 'ZERO',
              texname = '\mu',
              antitexname = '\bar{\mu}',
              charge = -1,
              LeptonNumber = 0,
              GhostNumber = 0)

E2 = e2.anti()

n3 =  Particle(  pdg_code = 16,
              name = 'n3',
              antiname = 'N3',
              spin = 2,
              color = 1,
              mass = 'ZERO',
              width = 'ZERO',
              texname = '\nu^\tau',
              antitexname = '\bar{\nu}^\tau',
              charge = 0,
              LeptonNumber = 0,
              GhostNumber = 0)

N3 = n3.anti()

e3 =  Particle(  pdg_code = 15,
              name = 'e3',
              antiname = 'E3',
              spin = 2,
              color = 1,
              mass = 'Mt',
              width = 'ZERO',
              texname = '\tau',
              antitexname = '\bar{\tau}',
              charge = -1,
              LeptonNumber = 0,
              GhostNumber = 0)

E3 = e3.anti()

u =  Particle(  pdg_code = 2,
              name = 'u',
              antiname = 'U',
              spin = 2,
              color = 3,
              mass = 'ZERO',
              width = 'ZERO',
              texname = 'u',
              antitexname = '\bar{u}',
              charge = 2/3,
              LeptonNumber = 0,
              GhostNumber = 0)

U = u.anti()

d =  Particle(  pdg_code = 1,
              name = 'd',
              antiname = 'D',
              spin = 2,
              color = 3,
              mass = 'ZERO',
              width = 'ZERO',
              texname = 'd',
              antitexname = '\bar{d}',
              charge = -1/3,
              LeptonNumber = 0,
              GhostNumber = 0)

D = d.anti()

c =  Particle(  pdg_code = 4,
              name = 'c',
              antiname = 'C',
              spin = 2,
              color = 3,
              mass = 'Mc',
              width = 'ZERO',
              texname = 'c',
              antitexname = '\bar{c}',
              charge = 2/3,
              LeptonNumber = 0,
              GhostNumber = 0)

C = c.anti()

s =  Particle(  pdg_code = 3,
              name = 's',
              antiname = 'S',
              spin = 2,
              color = 3,
              mass = 'Ms',
              width = 'ZERO',
              texname = 's',
              antitexname = '\bar{s}',
              charge = -1/3,
              LeptonNumber = 0,
              GhostNumber = 0)

S = s.anti()

t =  Particle(  pdg_code = 6,
              name = 't',
              antiname = 'T',
              spin = 2,
              color = 3,
              mass = 'Mtop',
              width = 'wtop',
              texname = 't',
              antitexname = '\bar{t}',
              charge = 2/3,
              LeptonNumber = 0,
              GhostNumber = 0)

T = t.anti()

b =  Particle(  pdg_code = 5,
              name = 'b',
              antiname = 'B',
              spin = 2,
              color = 3,
              mass = 'Mb',
              width = 'ZERO',
              texname = 'b',
              antitexname = '\bar{b}',
              charge = -1/3,
              LeptonNumber = 0,
              GhostNumber = 0)

B = b.anti()

H =  Particle(  pdg_code = 25,
              name = 'H',
              antiname = 'H',
              spin = 1,
              color = 1,
              mass = 'MH',
              width = 'wH',
              texname = 'H',
              antitexname = 'H',
              charge = 0,
              LeptonNumber = 0,
              GhostNumber = 0)

